/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.nomenclatures;

import org.cocktail.mangue.client.gui.cir.CirSaisieFicheIdentiteView;
import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SaisieTypeContratTravailView extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
	public SaisieTypeContratTravailView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        tfCode = new javax.swing.JTextField();
        tfLibelleCourt = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        tfLibelle = new javax.swing.JTextField();
        jLabel13 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        tfDateFermeture = new javax.swing.JTextField();
        tfDateOuverture = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        checkVisible = new javax.swing.JCheckBox();
        jLabel21 = new javax.swing.JLabel();
        tfLibelleContratSupinfo = new javax.swing.JTextField();
        btnGetCodeSupinfo = new javax.swing.JButton();
        jLabel23 = new javax.swing.JLabel();
        tfLibelleContratPere = new javax.swing.JTextField();
        btnDelCodeSupInfo = new javax.swing.JButton();
        btnGetCodePere = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        checkServicePublic = new javax.swing.JCheckBox();
        checkEquivGrade = new javax.swing.JCheckBox();
        checkCdi = new javax.swing.JCheckBox();
        checkDelegation = new javax.swing.JCheckBox();
        checkEnseignant = new javax.swing.JCheckBox();
        checkInvite = new javax.swing.JCheckBox();
        checkHospitalo = new javax.swing.JCheckBox();
        checkTempsPartiel = new javax.swing.JCheckBox();
        checkAutoriseTitulaires = new javax.swing.JCheckBox();
        checkVacataire = new javax.swing.JCheckBox();
        jLabel1 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        checkEtudiant = new javax.swing.JCheckBox();
        checkDoctorant = new javax.swing.JCheckBox();
        checkEnseignement = new javax.swing.JCheckBox();
        checkCir = new javax.swing.JCheckBox();
        jPanel2 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        tfDecret = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        popupCategories = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        tfDureeMaximale = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        tfDureeInitiale = new javax.swing.JTextField();
        tfPotentielBrut = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification d'un type de contrat");

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnAnnuler.setText("Annuler");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        tfCode.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCode.setToolTipText("");

        tfLibelleCourt.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleCourt.setToolTipText("");

        jLabel14.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Code");

        tfLibelle.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelle.setToolTipText("");

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Libellé");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Libellé Court");

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Fermeture");

        tfDateFermeture.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFermeture.setToolTipText("");

        tfDateOuverture.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateOuverture.setToolTipText("");

        jLabel17.setFont(jLabel14.getFont());
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Ouverture");

        checkVisible.setText("Type de contrat visible");
        checkVisible.setEnabled(false);
        checkVisible.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkVisibleActionPerformed(evt);
            }
        });

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Code SUPINFO");

        tfLibelleContratSupinfo.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLibelleContratSupinfo.setToolTipText("");

        btnGetCodeSupinfo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGetCodeSupinfoActionPerformed(evt);
            }
        });

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Père");

        tfLibelleContratPere.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLibelleContratPere.setToolTipText("");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 80, Short.MAX_VALUE)
                            .add(jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfCode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLibelleCourt, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 464, Short.MAX_VALUE))
                            .add(tfLibelle, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 656, Short.MAX_VALUE)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel21)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(18, 18, 18)
                                .add(jLabel17)))
                        .add(3, 3, 3)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(tfLibelleContratSupinfo, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 114, Short.MAX_VALUE)
                            .add(tfDateOuverture))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetCodeSupinfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCodeSupInfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(tfDateFermeture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 102, Short.MAX_VALUE)
                                .add(checkVisible))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabel23)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLibelleContratPere, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 422, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetCodePere, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel14)
                    .add(tfCode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(tfLibelleCourt, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel13)
                    .add(tfLibelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 17, Short.MAX_VALUE)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfLibelleContratPere, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnGetCodeSupinfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(tfLibelleContratSupinfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(btnDelCodeSupInfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetCodePere, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfDateOuverture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel17))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(checkVisible)
                        .add(tfDateFermeture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel18)))
                .addContainerGap())
        );

        jPanel3.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        checkServicePublic.setText("Contrat de droit public");
        checkServicePublic.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkServicePublicActionPerformed(evt);
            }
        });

        checkEquivGrade.setText("Equivalence Grade");
        checkEquivGrade.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEquivGradeActionPerformed(evt);
            }
        });

        checkCdi.setText("CDI");
        checkCdi.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCdiActionPerformed(evt);
            }
        });

        checkDelegation.setText("Délégation Autorisée");
        checkDelegation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkDelegationActionPerformed(evt);
            }
        });

        checkEnseignant.setText("Enseignant");
        checkEnseignant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEnseignantActionPerformed(evt);
            }
        });

        checkInvite.setText("Associé / Invité");
        checkInvite.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkInviteActionPerformed(evt);
            }
        });

        checkHospitalo.setText("Hospitalo Universitaire");
        checkHospitalo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkHospitaloActionPerformed(evt);
            }
        });

        checkTempsPartiel.setText("Temps Partiel");
        checkTempsPartiel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsPartielActionPerformed(evt);
            }
        });

        checkAutoriseTitulaires.setText("Autorisé pour Titulaires");
        checkAutoriseTitulaires.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkAutoriseTitulairesActionPerformed(evt);
            }
        });

        checkVacataire.setText("Vacataire");
        checkVacataire.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkVacataireActionPerformed(evt);
            }
        });

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("Propriétés de ce type de contrat");

        checkEtudiant.setText("Etudiant");
        checkEtudiant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtudiantActionPerformed(evt);
            }
        });

        checkDoctorant.setText("Doctorant");

        checkEnseignement.setText("Enseignement autorisé (Pêche)");
        checkEnseignement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEnseignementActionPerformed(evt);
            }
        });

        checkCir.setText("CIR");
        checkCir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCirActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 672, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel3Layout.createSequentialGroup()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 604, Short.MAX_VALUE)
                    .add(jPanel3Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(4, 4, 4)
                                .add(checkCdi))
                            .add(checkEquivGrade)
                            .add(checkTempsPartiel)
                            .add(checkHospitalo))
                        .add(18, 18, 18)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkEnseignant)
                            .add(checkEtudiant)
                            .add(checkDoctorant)
                            .add(checkInvite))
                        .add(18, 18, 18)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkAutoriseTitulaires)
                            .add(checkVacataire)
                            .add(checkDelegation)
                            .add(checkServicePublic))
                        .add(18, 18, 18)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkEnseignement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(checkCir, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 175, Short.MAX_VALUE))))
                .add(68, 68, 68))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(checkCdi)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkEquivGrade)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkTempsPartiel)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkHospitalo)
                        .addContainerGap(27, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(jPanel3Layout.createSequentialGroup()
                            .add(checkEnseignant)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(checkEtudiant)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(checkDoctorant)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(checkInvite))
                        .add(jPanel3Layout.createSequentialGroup()
                            .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(checkAutoriseTitulaires)
                                .add(checkEnseignement))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(checkDelegation)
                                .add(checkCir))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(checkServicePublic)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(checkVacataire)))))
        );

        jLabel5.setForeground(new java.awt.Color(153, 153, 153));
        jLabel5.setText("* Durée renseignée pour déclencher une alerte en cas de dépassement");

        tfDecret.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfDecret.setToolTipText("Libellé du code");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Décret / Référence règlementaire ");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Durée Maximale");

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Potentiel brut");

        popupCategories.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel3.setForeground(new java.awt.Color(153, 153, 153));
        jLabel3.setText("* Durée renseignée pour calcul de la date de fin par défaut");

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("Durée Initiale");

        tfDureeMaximale.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDureeMaximale.setToolTipText("Libellé du code");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Catégorie");

        jLabel2.setText("Mois");

        jLabel4.setText("Mois");

        tfDureeInitiale.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDureeInitiale.setToolTipText("Libellé du code");

        tfPotentielBrut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPotentielBrut.setToolTipText("Libellé du code");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel20)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDecret, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 461, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel19, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel22, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfPotentielBrut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(popupCategories, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 148, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfDureeInitiale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(tfDureeMaximale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 42, Short.MAX_VALUE)
                                    .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 357, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel5))))))
                .addContainerGap(121, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel20)
                    .add(tfDecret, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(tfDureeInitiale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel16)
                    .add(tfDureeMaximale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel22)
                    .add(tfPotentielBrut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel19)
                    .add(popupCategories, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .add(79, 79, 79)
                        .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 622, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(16, 16, 16)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-800)/2, (screenSize.height-605)/2, 800, 605);
    }// </editor-fold>//GEN-END:initComponents

	private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnValiderActionPerformed

	private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnAnnulerActionPerformed

        private void checkVisibleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkVisibleActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkVisibleActionPerformed

        private void checkServicePublicActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkServicePublicActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkServicePublicActionPerformed

        private void checkEquivGradeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEquivGradeActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkEquivGradeActionPerformed

        private void checkCdiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCdiActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkCdiActionPerformed

        private void checkDelegationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkDelegationActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkDelegationActionPerformed

        private void checkEnseignantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEnseignantActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkEnseignantActionPerformed

        private void checkInviteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkInviteActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkInviteActionPerformed

        private void checkHospitaloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkHospitaloActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkHospitaloActionPerformed

        private void checkTempsPartielActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsPartielActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkTempsPartielActionPerformed

        private void checkAutoriseTitulairesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkAutoriseTitulairesActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkAutoriseTitulairesActionPerformed

        private void checkVacataireActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkVacataireActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_checkVacataireActionPerformed

        private void checkEtudiantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtudiantActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkEtudiantActionPerformed

        private void btnGetCodeSupinfoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGetCodeSupinfoActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_btnGetCodeSupinfoActionPerformed

        private void checkEnseignementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEnseignementActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkEnseignementActionPerformed

        private void checkCirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCirActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkCirActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				CirSaisieFicheIdentiteView dialog = new CirSaisieFicheIdentiteView(new javax.swing.JFrame(), true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelCodeSupInfo;
    private javax.swing.JButton btnGetCodePere;
    private javax.swing.JButton btnGetCodeSupinfo;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkAutoriseTitulaires;
    private javax.swing.JCheckBox checkCdi;
    private javax.swing.JCheckBox checkCir;
    private javax.swing.JCheckBox checkDelegation;
    private javax.swing.JCheckBox checkDoctorant;
    private javax.swing.JCheckBox checkEnseignant;
    private javax.swing.JCheckBox checkEnseignement;
    private javax.swing.JCheckBox checkEquivGrade;
    private javax.swing.JCheckBox checkEtudiant;
    private javax.swing.JCheckBox checkHospitalo;
    private javax.swing.JCheckBox checkInvite;
    private javax.swing.JCheckBox checkServicePublic;
    private javax.swing.JCheckBox checkTempsPartiel;
    private javax.swing.JCheckBox checkVacataire;
    private javax.swing.JCheckBox checkVisible;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JComboBox popupCategories;
    protected javax.swing.JTextField tfCode;
    protected javax.swing.JTextField tfDateFermeture;
    protected javax.swing.JTextField tfDateOuverture;
    protected javax.swing.JTextField tfDecret;
    protected javax.swing.JTextField tfDureeInitiale;
    protected javax.swing.JTextField tfDureeMaximale;
    protected javax.swing.JTextField tfLibelle;
    protected javax.swing.JTextField tfLibelleContratPere;
    protected javax.swing.JTextField tfLibelleContratSupinfo;
    protected javax.swing.JTextField tfLibelleCourt;
    protected javax.swing.JTextField tfPotentielBrut;
    // End of variables declaration//GEN-END:variables

    
	private void initGui() {

		btnValider.setIcon(CocktailIcones.ICON_VALID);
		btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
		btnGetCodeSupinfo.setIcon(CocktailIcones.ICON_SELECT_16);
		btnDelCodeSupInfo.setIcon(CocktailIcones.ICON_DELETE);
		btnGetCodePere.setIcon(CocktailIcones.ICON_SELECT_16);

		checkVisible.setEnabled(true);

	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckAutoriseTitulaires() {
		return checkAutoriseTitulaires;
	}

	public void setCheckAutoriseTitulaires(
			javax.swing.JCheckBox checkAutoriseTitulaires) {
		this.checkAutoriseTitulaires = checkAutoriseTitulaires;
	}

	public javax.swing.JCheckBox getCheckCdi() {
		return checkCdi;
	}

	public void setCheckCdi(javax.swing.JCheckBox checkCdi) {
		this.checkCdi = checkCdi;
	}

	public javax.swing.JCheckBox getCheckDelegation() {
		return checkDelegation;
	}

	public void setCheckDelegation(javax.swing.JCheckBox checkDelegation) {
		this.checkDelegation = checkDelegation;
	}

	public javax.swing.JCheckBox getCheckEnseignant() {
		return checkEnseignant;
	}

	public void setCheckEnseignant(javax.swing.JCheckBox checkEnseignant) {
		this.checkEnseignant = checkEnseignant;
	}

	public javax.swing.JCheckBox getCheckEquivGrade() {
		return checkEquivGrade;
	}

	public void setCheckEquivGrade(javax.swing.JCheckBox checkEquivGrade) {
		this.checkEquivGrade = checkEquivGrade;
	}

	public javax.swing.JCheckBox getCheckHospitalo() {
		return checkHospitalo;
	}

	public void setCheckHospitalo(javax.swing.JCheckBox checkHospitalo) {
		this.checkHospitalo = checkHospitalo;
	}

	public javax.swing.JCheckBox getCheckInvite() {
		return checkInvite;
	}

	public void setCheckInvite(javax.swing.JCheckBox checkInvite) {
		this.checkInvite = checkInvite;
	}

	public javax.swing.JCheckBox getCheckServicePublic() {
		return checkServicePublic;
	}

	public void setCheckServicePublic(javax.swing.JCheckBox checkServicePublic) {
		this.checkServicePublic = checkServicePublic;
	}

	public javax.swing.JCheckBox getCheckTempsPartiel() {
		return checkTempsPartiel;
	}

	public void setCheckTempsPartiel(javax.swing.JCheckBox checkTempsPartiel) {
		this.checkTempsPartiel = checkTempsPartiel;
	}

	public javax.swing.JCheckBox getCheckVacataire() {
		return checkVacataire;
	}

	public void setCheckVacataire(javax.swing.JCheckBox checkVacataire) {
		this.checkVacataire = checkVacataire;
	}

	public javax.swing.JCheckBox getCheckVisible() {
		return checkVisible;
	}

	public void setCheckVisible(javax.swing.JCheckBox checkVisible) {
		this.checkVisible = checkVisible;
	}

	public javax.swing.JComboBox getPopupCategories() {
		return popupCategories;
	}

	public void setPopupCategories(javax.swing.JComboBox popupCategories) {
		this.popupCategories = popupCategories;
	}

	public javax.swing.JTextField getTfCode() {
		return tfCode;
	}

	public void setTfCode(javax.swing.JTextField tfCode) {
		this.tfCode = tfCode;
	}

	public javax.swing.JTextField getTfDateFermeture() {
		return tfDateFermeture;
	}

	public void setTfDateFermeture(javax.swing.JTextField tfDateFermeture) {
		this.tfDateFermeture = tfDateFermeture;
	}

	public javax.swing.JTextField getTfDateOuverture() {
		return tfDateOuverture;
	}

	public void setTfDateOuverture(javax.swing.JTextField tfDateOuverture) {
		this.tfDateOuverture = tfDateOuverture;
	}

	public javax.swing.JTextField getTfDecret() {
		return tfDecret;
	}

	public void setTfDecret(javax.swing.JTextField tfDecret) {
		this.tfDecret = tfDecret;
	}

	public javax.swing.JTextField getTfDureeInitiale() {
		return tfDureeInitiale;
	}

	public void setTfDureeInitiale(javax.swing.JTextField tfDureeInitiale) {
		this.tfDureeInitiale = tfDureeInitiale;
	}

	public javax.swing.JTextField getTfDureeMaximale() {
		return tfDureeMaximale;
	}

	public void setTfDureeMaximale(javax.swing.JTextField tfDureeMaximale) {
		this.tfDureeMaximale = tfDureeMaximale;
	}

	public javax.swing.JTextField getTfLibelle() {
		return tfLibelle;
	}

	public void setTfLibelle(javax.swing.JTextField tfLibelle) {
		this.tfLibelle = tfLibelle;
	}
	public javax.swing.JTextField getTfLibelleCourt() {
		return tfLibelleCourt;
	}

	public void setTfLibelleCourt(javax.swing.JTextField tfLibelleCourt) {
		this.tfLibelleCourt = tfLibelleCourt;
	}

	public javax.swing.JTextField getTfPotentielBrut() {
		return tfPotentielBrut;
	}

	public void setTfPotentielBrut(javax.swing.JTextField tfPotentielBrut) {
		this.tfPotentielBrut = tfPotentielBrut;
	}

	public javax.swing.JCheckBox getCheckDoctorant() {
		return checkDoctorant;
	}

	public void setCheckDoctorant(javax.swing.JCheckBox checkDoctorant) {
		this.checkDoctorant = checkDoctorant;
	}

	public javax.swing.JCheckBox getCheckEtudiant() {
		return checkEtudiant;
	}

	public void setCheckEtudiant(javax.swing.JCheckBox checkEtudiant) {
		this.checkEtudiant = checkEtudiant;
	}

	public javax.swing.JButton getBtnGetCodeSupinfo() {
		return btnGetCodeSupinfo;
	}

	public void setBtnGetCodeSupinfo(javax.swing.JButton btnGetCodeSupinfo) {
		this.btnGetCodeSupinfo = btnGetCodeSupinfo;
	}

	public javax.swing.JTextField getTfLibelleContratPere() {
		return tfLibelleContratPere;
	}

	public void setTfLibelleContratPere(javax.swing.JTextField tfLibelleContratPere) {
		this.tfLibelleContratPere = tfLibelleContratPere;
	}

	public javax.swing.JTextField getTfLibelleContratSupinfo() {
		return tfLibelleContratSupinfo;
	}

	public void setTfLibelleContratSupinfo(
			javax.swing.JTextField tfLibelleContratSupinfo) {
		this.tfLibelleContratSupinfo = tfLibelleContratSupinfo;
	}

	public javax.swing.JButton getBtnDelCodeSupInfo() {
		return btnDelCodeSupInfo;
	}

	public void setBtnDelCodeSupInfo(javax.swing.JButton btnDelCodeSupInfo) {
		this.btnDelCodeSupInfo = btnDelCodeSupInfo;
	}

	public javax.swing.JButton getBtnGetCodePere() {
		return btnGetCodePere;
	}

	public void setBtnGetCodePere(javax.swing.JButton btnGetCodePere) {
		this.btnGetCodePere = btnGetCodePere;
	}

	public javax.swing.JCheckBox getCheckEnseignement() {
		return checkEnseignement;
	}

	public void setCheckEnseignement(javax.swing.JCheckBox checkEnseignement) {
		this.checkEnseignement = checkEnseignement;
	}

	public javax.swing.JCheckBox getCheckCir() {
		return checkCir;
	}

	public void setCheckCir(javax.swing.JCheckBox checkCir) {
		this.checkCir = checkCir;
	}

}
